- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 55313f3d-0bcb-4f2c-b254-85fd84a474c7
    creation_time: 2023-02-17T13:42:49.690210Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/geo3.c
      input_file_hashes:
        c/nla-digbench/geo3.c: af42656a5b280f88a674a9d488030c8b760b0adf25b61903e43304fd2a88f305
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/geo3.c
    file_hash: af42656a5b280f88a674a9d488030c8b760b0adf25b61903e43304fd2a88f305
    line: 34
    column: 0
    function: main
  loop_invariant:
    string: z * x - x + a - a * z * y == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: a6bbea74-c572-4e34-b0e1-ae07f70f488c
    creation_time: 2023-02-17T13:42:49.690624Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/geo3.c
      input_file_hashes:
        c/nla-digbench/geo3.c: af42656a5b280f88a674a9d488030c8b760b0adf25b61903e43304fd2a88f305
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/geo3.c
    file_hash: af42656a5b280f88a674a9d488030c8b760b0adf25b61903e43304fd2a88f305
    line: 34
    column: 0
    function: main
  location_invariant:
    string: z * x - x + a - a * z * y == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 2a3825f4-12f2-4d16-97ee-b153ed0a9d7a
    creation_time: 2023-02-17T13:42:49.690717Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/geo3.c
      input_file_hashes:
        c/nla-digbench/geo3.c: af42656a5b280f88a674a9d488030c8b760b0adf25b61903e43304fd2a88f305
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/geo3.c
    file_hash: af42656a5b280f88a674a9d488030c8b760b0adf25b61903e43304fd2a88f305
    line: 43
    column: 0
    function: main
  location_invariant:
    string: z * x - x + a - a * z * y == 0
    type: assertion
    format: C

